
Redmine - Defect #22331

bundler error: Ruby 1.9.3 = "mime-types-data requires Ruby version >= 2.0."

2016-03-28 18:36 - Deoren Moor

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 3.1.5   

Resolution: Fixed Affected version: 3.1.0

Description

Error message encountered when running bundle update from my Redmine installation directory:

Gem::InstallError: mime-types-data requires Ruby version >= 2.0.

An error occurred while installing mime-types-data (3.2016.0221), and Bundler cannot continue.

Make sure that `gem install mime-types-data -v '3.2016.0221'` succeeds before bundling.

 Redmine installation details (taken once I restored the installation directory from backup):

sh: 1: darcs: not found

sh: 1: cvs: not found

sh: 1: bzr: not found

Environment:

  Redmine version                3.2.0.stable.14966

  Ruby version                   1.9.3-p0 (2011-10-30) [i686-linux]

  Rails version                  4.2.5.1

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.17

  Mercurial                      2.0.2

  Git                            1.7.9.5

  Filesystem

Redmine plugins:

  no plugin installed

 Does Redmine still support Ruby 1.9.3? I looked at the RedmineInstall page and it is still listed there. From what I can recall you guys

don't have a habit of switching requirements in the middle of maintaining a branch, so I figured this was something that folks just

haven't reported yet.

P.S.

I use a Subversion tag for the installation. I then just switch tags when it is time to upgrade to a new version and then run the

applicable upgrade steps.

Associated revisions

Revision 15274 - 2016-03-24 06:20 - Toshi MARUYAMA

Gemfile: switch mime-types version by Ruby >= 2.0 or not

Revision 15276 - 2016-03-24 06:53 - Toshi MARUYAMA

Merged r15274 from trunk to 3.2-stable

Gemfile: switch mime-types version by Ruby >= 2.0 or not

Revision 15277 - 2016-03-24 06:54 - Toshi MARUYAMA

Merged r15274 from trunk to 3.1-stable

Gemfile: switch mime-types version by Ruby >= 2.0 or not
https://www.redmine.org/projects/redmine/wiki/RedmineInstall


History

#1 - 2016-03-29 03:49 - Toshi MARUYAMA

- Subject changed from Redmine 3.2.0 to 3.2.1 upgrade attempt with Ruby 1.9.3 = "mime-types-data requires Ruby version >= 2.0." to Ruby 1.9.3 =

"mime-types-data requires Ruby version >= 2.0."

- Category deleted (Ruby support)

- Priority changed from High to Normal

- Target version set to 3.1.5

- Affected version changed from 3.2.0 to 3.1.0

#2 - 2016-03-29 03:52 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Try r15277.

#3 - 2016-03-29 04:01 - Toshi MARUYAMA

- Subject changed from Ruby 1.9.3 = "mime-types-data requires Ruby version >= 2.0." to bundler error: Ruby 1.9.3 = "mime-types-data requires Ruby

version >= 2.0."

#4 - 2016-03-29 05:27 - Deoren Moor

Toshi MARUYAMA wrote:

Try r15277.

 Thanks! I modified Gemfile to include that change and it allowed me to complete the 3.2.0 to 3.2.1 upgrade without issue.

Powered by TCPDF (www.tcpdf.org)

2025-08-23 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/15277
https://www.redmine.org/projects/redmine/repository/svn/revisions/15277
http://www.tcpdf.org

